<template>
  <article class="view view--forum-subscriptions">
    <TopicList :route="subscriptionsRoute" :subscribed="true" :offset="offset" :limit="limit" />
  </article>
</template>

<script>
import { computed } from 'vue'
import { useRoute } from 'vue-router'
import { Constants, ValidationHelper } from '../../../core'
import TopicList from '../../components/topic-list.vue'

export default {
  name: 'ForumSubscriptionsView',
  components: {
    TopicList,
  },
  setup() {
    const route = useRoute()

    const subscriptionsRoute = computed(() => {
      return { name: 'forum-subscriptions' }
    })

    const offset = computed(() => {
      return ValidationHelper.getInteger(route.query.offset, 0)
    })

    const limit = computed(() => {
      return ValidationHelper.getInteger(route.query.limit, Constants.pagination.defaultPageLimit)
    })

    return {
      subscriptionsRoute,
      offset,
      limit,
    }
  },
}
</script>
